<?php
if (session_id() == "") session_start(); // Init session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg14.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql14.php") ?>
<?php include_once "phpfn14.php" ?>
<?php include_once "estimasi_bibitinfo.php" ?>
<?php include_once "employeesinfo.php" ?>
<?php include_once "userfn14.php" ?>
<?php

//
// Page class
//

$estimasi_bibit_add = NULL; // Initialize page object first

class cestimasi_bibit_add extends cestimasi_bibit {

	// Page ID
	var $PageID = 'add';

	// Project ID
	var $ProjectID = '{CC60B42B-604B-412A-B014-2315920AF6AA}';

	// Table name
	var $TableName = 'estimasi_bibit';

	// Page object name
	var $PageObjName = 'estimasi_bibit_add';

	// Page headings
	var $Heading = '';
	var $Subheading = '';

	// Page heading
	function PageHeading() {
		global $Language;
		if ($this->Heading <> "")
			return $this->Heading;
		if (method_exists($this, "TableCaption"))
			return $this->TableCaption();
		return "";
	}

	// Page subheading
	function PageSubheading() {
		global $Language;
		if ($this->Subheading <> "")
			return $this->Subheading;
		if ($this->TableName)
			return $Language->Phrase($this->PageID);
		return "";
	}

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		global $UserTable, $UserTableConn;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (estimasi_bibit)
		if (!isset($GLOBALS["estimasi_bibit"]) || get_class($GLOBALS["estimasi_bibit"]) == "cestimasi_bibit") {
			$GLOBALS["estimasi_bibit"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["estimasi_bibit"];
		}

		// Table object (employees)
		if (!isset($GLOBALS['employees'])) $GLOBALS['employees'] = new cemployees();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'add', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'estimasi_bibit', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"]))
			$GLOBALS["gTimer"] = new cTimer();

		// Debug message
		ew_LoadDebugMsg();

		// Open connection
		if (!isset($conn))
			$conn = ew_Connect($this->DBID);

		// User table object (employees)
		if (!isset($UserTable)) {
			$UserTable = new cemployees();
			$UserTableConn = Conn($UserTable->DBID);
		}
	}

	//
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Is modal
		$this->IsModal = (@$_GET["modal"] == "1" || @$_POST["modal"] == "1");

		// User profile
		$UserProfile = new cUserProfile();

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loading();
		$Security->LoadCurrentUserLevel($this->ProjectID . $this->TableName);
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loaded();
		if (!$Security->CanAdd()) {
			$Security->SaveLastUrl();
			$this->setFailureMessage(ew_DeniedMsg()); // Set no permission
			if ($Security->CanList())
				$this->Page_Terminate(ew_GetUrl("estimasi_bibitlist.php"));
			else
				$this->Page_Terminate(ew_GetUrl("login.php"));
		}

		// NOTE: Security object may be needed in other part of the script, skip set to Nothing
		// 
		// Security = null;
		// 
		// Create form object

		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->tanggal->SetVisibility();
		$this->id_lahan->SetVisibility();
		$this->jumlah->SetVisibility();
		$this->tanggal_real_panen->SetVisibility();
		$this->jumlah_real_panen->SetVisibility();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Process auto fill
		if (@$_POST["ajax"] == "autofill") {
			$results = $this->GetAutoFill(@$_POST["name"], @$_POST["q"]);
			if ($results) {

				// Clean output buffer
				if (!EW_DEBUG_ENABLED && ob_get_length())
					ob_end_clean();
				echo $results;
				$this->Page_Terminate();
				exit();
			}
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $estimasi_bibit;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($estimasi_bibit);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		// Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();

			// Handle modal response
			if ($this->IsModal) { // Show as modal
				$row = array("url" => $url, "modal" => "1");
				$pageName = ew_GetPageName($url);
				if ($pageName != $this->GetListUrl()) { // Not List page
					$row["caption"] = $this->GetModalCaption($pageName);
					if ($pageName == "estimasi_bibitview.php")
						$row["view"] = "1";
				} else { // List page should not be shown as modal => error
					$row["error"] = $this->getFailureMessage();
					$this->clearFailureMessage();
				}
				header("Content-Type: application/json; charset=utf-8");
				echo ew_ConvertToUtf8(ew_ArrayToJson(array($row)));
			} else {
				ew_SaveDebugMsg();
				header("Location: " . $url);
			}
		}
		exit();
	}
	var $FormClassName = "form-horizontal ewForm ewAddForm";
	var $IsModal = FALSE;
	var $IsMobileOrModal = FALSE;
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $Priv = 0;
	var $OldRecordset;
	var $CopyRecord;

	//
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;
		global $gbSkipHeaderFooter;

		// Check modal
		if ($this->IsModal)
			$gbSkipHeaderFooter = TRUE;
		$this->IsMobileOrModal = ew_IsMobile() || $this->IsModal;
		$this->FormClassName = "ewForm ewAddForm form-horizontal";

		// Set up current action
		if (@$_POST["a_add"] <> "") {
			$this->CurrentAction = $_POST["a_add"]; // Get form action
		} else { // Not post back

			// Load key values from QueryString
			$this->CopyRecord = TRUE;
			if (@$_GET["id"] != "") {
				$this->id->setQueryStringValue($_GET["id"]);
				$this->setKey("id", $this->id->CurrentValue); // Set up key
			} else {
				$this->setKey("id", ""); // Clear key
				$this->CopyRecord = FALSE;
			}
			if ($this->CopyRecord) {
				$this->CurrentAction = "C"; // Copy record
			} else {
				$this->CurrentAction = "I"; // Display blank record
			}
		}

		// Load old record / default values
		$loaded = $this->LoadOldRecord();

		// Load form values
		if (@$_POST["a_add"] <> "") {
			$this->LoadFormValues(); // Load form values
		}

		// Validate form if post back
		if (@$_POST["a_add"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = "I"; // Form error, reset action
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues(); // Restore form values
				$this->setFailureMessage($gsFormError);
			}
		}

		// Perform current action
		switch ($this->CurrentAction) {
			case "I": // Blank record
				break;
			case "C": // Copy an existing record
				if (!$loaded) { // Record not loaded
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("estimasi_bibitlist.php"); // No matching record, return to list
				}
				break;
			case "A": // Add new record
				$this->SendEmail = TRUE; // Send email on add success
				if ($this->AddRow($this->OldRecordset)) { // Add successful
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("AddSuccess")); // Set up success message
					$sReturnUrl = $this->getReturnUrl();
					if (ew_GetPageName($sReturnUrl) == "estimasi_bibitlist.php")
						$sReturnUrl = $this->AddMasterUrl($sReturnUrl); // List page, return to List page with correct master key if necessary
					elseif (ew_GetPageName($sReturnUrl) == "estimasi_bibitview.php")
						$sReturnUrl = $this->GetViewUrl(); // View page, return to View page with keyurl directly
					$this->Page_Terminate($sReturnUrl); // Clean up and return
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Add failed, restore form values
				}
		}

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Render row based on row type
		$this->RowType = EW_ROWTYPE_ADD; // Render add type

		// Render row
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $Language;

		// Get upload data
	}

	// Load default values
	function LoadDefaultValues() {
		$this->id->CurrentValue = NULL;
		$this->id->OldValue = $this->id->CurrentValue;
		$this->tanggal->CurrentValue = NULL;
		$this->tanggal->OldValue = $this->tanggal->CurrentValue;
		$this->id_lahan->CurrentValue = NULL;
		$this->id_lahan->OldValue = $this->id_lahan->CurrentValue;
		$this->jumlah->CurrentValue = NULL;
		$this->jumlah->OldValue = $this->jumlah->CurrentValue;
		$this->tanggal_real_panen->CurrentValue = NULL;
		$this->tanggal_real_panen->OldValue = $this->tanggal_real_panen->CurrentValue;
		$this->jumlah_real_panen->CurrentValue = NULL;
		$this->jumlah_real_panen->OldValue = $this->jumlah_real_panen->CurrentValue;
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->tanggal->FldIsDetailKey) {
			$this->tanggal->setFormValue($objForm->GetValue("x_tanggal"));
			$this->tanggal->CurrentValue = ew_UnFormatDateTime($this->tanggal->CurrentValue, 0);
		}
		if (!$this->id_lahan->FldIsDetailKey) {
			$this->id_lahan->setFormValue($objForm->GetValue("x_id_lahan"));
		}
		if (!$this->jumlah->FldIsDetailKey) {
			$this->jumlah->setFormValue($objForm->GetValue("x_jumlah"));
		}
		if (!$this->tanggal_real_panen->FldIsDetailKey) {
			$this->tanggal_real_panen->setFormValue($objForm->GetValue("x_tanggal_real_panen"));
			$this->tanggal_real_panen->CurrentValue = ew_UnFormatDateTime($this->tanggal_real_panen->CurrentValue, 0);
		}
		if (!$this->jumlah_real_panen->FldIsDetailKey) {
			$this->jumlah_real_panen->setFormValue($objForm->GetValue("x_jumlah_real_panen"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->tanggal->CurrentValue = $this->tanggal->FormValue;
		$this->tanggal->CurrentValue = ew_UnFormatDateTime($this->tanggal->CurrentValue, 0);
		$this->id_lahan->CurrentValue = $this->id_lahan->FormValue;
		$this->jumlah->CurrentValue = $this->jumlah->FormValue;
		$this->tanggal_real_panen->CurrentValue = $this->tanggal_real_panen->FormValue;
		$this->tanggal_real_panen->CurrentValue = ew_UnFormatDateTime($this->tanggal_real_panen->CurrentValue, 0);
		$this->jumlah_real_panen->CurrentValue = $this->jumlah_real_panen->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues($rs = NULL) {
		if ($rs && !$rs->EOF)
			$row = $rs->fields;
		else
			$row = $this->NewRow(); 

		// Call Row Selected event
		$this->Row_Selected($row);
		if (!$rs || $rs->EOF)
			return;
		$this->id->setDbValue($row['id']);
		$this->tanggal->setDbValue($row['tanggal']);
		$this->id_lahan->setDbValue($row['id_lahan']);
		$this->jumlah->setDbValue($row['jumlah']);
		$this->tanggal_real_panen->setDbValue($row['tanggal_real_panen']);
		$this->jumlah_real_panen->setDbValue($row['jumlah_real_panen']);
	}

	// Return a row with default values
	function NewRow() {
		$this->LoadDefaultValues();
		$row = array();
		$row['id'] = $this->id->CurrentValue;
		$row['tanggal'] = $this->tanggal->CurrentValue;
		$row['id_lahan'] = $this->id_lahan->CurrentValue;
		$row['jumlah'] = $this->jumlah->CurrentValue;
		$row['tanggal_real_panen'] = $this->tanggal_real_panen->CurrentValue;
		$row['jumlah_real_panen'] = $this->jumlah_real_panen->CurrentValue;
		return $row;
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF)
			return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->id->DbValue = $row['id'];
		$this->tanggal->DbValue = $row['tanggal'];
		$this->id_lahan->DbValue = $row['id_lahan'];
		$this->jumlah->DbValue = $row['jumlah'];
		$this->tanggal_real_panen->DbValue = $row['tanggal_real_panen'];
		$this->jumlah_real_panen->DbValue = $row['jumlah_real_panen'];
	}

	// Load old record
	function LoadOldRecord() {

		// Load key values from Session
		$bValidKey = TRUE;
		if (strval($this->getKey("id")) <> "")
			$this->id->CurrentValue = $this->getKey("id"); // id
		else
			$bValidKey = FALSE;

		// Load old record
		$this->OldRecordset = NULL;
		if ($bValidKey) {
			$this->CurrentFilter = $this->KeyFilter();
			$sSql = $this->SQL();
			$conn = &$this->Connection();
			$this->OldRecordset = ew_LoadRecordset($sSql, $conn);
		}
		$this->LoadRowValues($this->OldRecordset); // Load row values
		return $bValidKey;
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// id
		// tanggal
		// id_lahan
		// jumlah
		// tanggal_real_panen
		// jumlah_real_panen

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// id
		$this->id->ViewValue = $this->id->CurrentValue;
		$this->id->ViewCustomAttributes = "";

		// tanggal
		$this->tanggal->ViewValue = $this->tanggal->CurrentValue;
		$this->tanggal->ViewValue = ew_FormatDateTime($this->tanggal->ViewValue, 0);
		$this->tanggal->ViewCustomAttributes = "";

		// id_lahan
		if (strval($this->id_lahan->CurrentValue) <> "") {
			$sFilterWrk = "`id`" . ew_SearchString("=", $this->id_lahan->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `id`, `varietas` AS `DispFld`, `jumlah_tanam` AS `Disp2Fld`, `jenis_lahan` AS `Disp3Fld`, `tgl_tanam` AS `Disp4Fld` FROM `tanam_bibit`";
		$sWhereWrk = "";
		$this->id_lahan->LookupFilters = array("df4" => "0");
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->id_lahan, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = ew_FormatNumber($rswrk->fields('Disp2Fld'), 0, -1, 0, 0);
				$arwrk[3] = $rswrk->fields('Disp3Fld');
				$arwrk[4] = ew_FormatDateTime($rswrk->fields('Disp4Fld'), 0);
				$this->id_lahan->ViewValue = $this->id_lahan->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->id_lahan->ViewValue = $this->id_lahan->CurrentValue;
			}
		} else {
			$this->id_lahan->ViewValue = NULL;
		}
		$this->id_lahan->ViewCustomAttributes = "";

		// jumlah
		$this->jumlah->ViewValue = $this->jumlah->CurrentValue;
		$this->jumlah->ViewCustomAttributes = "";

		// tanggal_real_panen
		$this->tanggal_real_panen->ViewValue = $this->tanggal_real_panen->CurrentValue;
		$this->tanggal_real_panen->ViewValue = ew_FormatDateTime($this->tanggal_real_panen->ViewValue, 0);
		$this->tanggal_real_panen->ViewCustomAttributes = "";

		// jumlah_real_panen
		$this->jumlah_real_panen->ViewValue = $this->jumlah_real_panen->CurrentValue;
		$this->jumlah_real_panen->ViewCustomAttributes = "";

			// tanggal
			$this->tanggal->LinkCustomAttributes = "";
			$this->tanggal->HrefValue = "";
			$this->tanggal->TooltipValue = "";

			// id_lahan
			$this->id_lahan->LinkCustomAttributes = "";
			$this->id_lahan->HrefValue = "";
			$this->id_lahan->TooltipValue = "";

			// jumlah
			$this->jumlah->LinkCustomAttributes = "";
			$this->jumlah->HrefValue = "";
			$this->jumlah->TooltipValue = "";

			// tanggal_real_panen
			$this->tanggal_real_panen->LinkCustomAttributes = "";
			$this->tanggal_real_panen->HrefValue = "";
			$this->tanggal_real_panen->TooltipValue = "";

			// jumlah_real_panen
			$this->jumlah_real_panen->LinkCustomAttributes = "";
			$this->jumlah_real_panen->HrefValue = "";
			$this->jumlah_real_panen->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_ADD) { // Add row

			// tanggal
			$this->tanggal->EditAttrs["class"] = "form-control";
			$this->tanggal->EditCustomAttributes = "";
			$this->tanggal->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->tanggal->CurrentValue, 8));
			$this->tanggal->PlaceHolder = ew_RemoveHtml($this->tanggal->FldCaption());

			// id_lahan
			$this->id_lahan->EditAttrs["class"] = "form-control";
			$this->id_lahan->EditCustomAttributes = "";
			if (trim(strval($this->id_lahan->CurrentValue)) == "") {
				$sFilterWrk = "0=1";
			} else {
				$sFilterWrk = "`id`" . ew_SearchString("=", $this->id_lahan->CurrentValue, EW_DATATYPE_NUMBER, "");
			}
			$sSqlWrk = "SELECT `id`, `varietas` AS `DispFld`, `jumlah_tanam` AS `Disp2Fld`, `jenis_lahan` AS `Disp3Fld`, `tgl_tanam` AS `Disp4Fld`, '' AS `SelectFilterFld`, '' AS `SelectFilterFld2`, '' AS `SelectFilterFld3`, '' AS `SelectFilterFld4` FROM `tanam_bibit`";
			$sWhereWrk = "";
			$this->id_lahan->LookupFilters = array("df4" => "0");
			ew_AddFilter($sWhereWrk, $sFilterWrk);
			$this->Lookup_Selecting($this->id_lahan, $sWhereWrk); // Call Lookup Selecting
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = Conn()->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			$rowswrk = count($arwrk);
			for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
				$arwrk[$rowcntwrk][2] = ew_FormatNumber($arwrk[$rowcntwrk][2], 0, -1, 0, 0);
				$arwrk[$rowcntwrk][4] = ew_FormatDateTime($arwrk[$rowcntwrk][4], 0);
			}
			$this->id_lahan->EditValue = $arwrk;

			// jumlah
			$this->jumlah->EditAttrs["class"] = "form-control";
			$this->jumlah->EditCustomAttributes = "";
			$this->jumlah->EditValue = ew_HtmlEncode($this->jumlah->CurrentValue);
			$this->jumlah->PlaceHolder = ew_RemoveHtml($this->jumlah->FldCaption());

			// tanggal_real_panen
			$this->tanggal_real_panen->EditAttrs["class"] = "form-control";
			$this->tanggal_real_panen->EditCustomAttributes = "";
			$this->tanggal_real_panen->EditValue = ew_HtmlEncode(ew_FormatDateTime($this->tanggal_real_panen->CurrentValue, 8));
			$this->tanggal_real_panen->PlaceHolder = ew_RemoveHtml($this->tanggal_real_panen->FldCaption());

			// jumlah_real_panen
			$this->jumlah_real_panen->EditAttrs["class"] = "form-control";
			$this->jumlah_real_panen->EditCustomAttributes = "";
			$this->jumlah_real_panen->EditValue = ew_HtmlEncode($this->jumlah_real_panen->CurrentValue);
			$this->jumlah_real_panen->PlaceHolder = ew_RemoveHtml($this->jumlah_real_panen->FldCaption());

			// Add refer script
			// tanggal

			$this->tanggal->LinkCustomAttributes = "";
			$this->tanggal->HrefValue = "";

			// id_lahan
			$this->id_lahan->LinkCustomAttributes = "";
			$this->id_lahan->HrefValue = "";

			// jumlah
			$this->jumlah->LinkCustomAttributes = "";
			$this->jumlah->HrefValue = "";

			// tanggal_real_panen
			$this->tanggal_real_panen->LinkCustomAttributes = "";
			$this->tanggal_real_panen->HrefValue = "";

			// jumlah_real_panen
			$this->jumlah_real_panen->LinkCustomAttributes = "";
			$this->jumlah_real_panen->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD || $this->RowType == EW_ROWTYPE_EDIT || $this->RowType == EW_ROWTYPE_SEARCH) // Add/Edit/Search row
			$this->SetupFieldTitles();

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!ew_CheckDateDef($this->tanggal->FormValue)) {
			ew_AddMessage($gsFormError, $this->tanggal->FldErrMsg());
		}
		if (!ew_CheckInteger($this->jumlah->FormValue)) {
			ew_AddMessage($gsFormError, $this->jumlah->FldErrMsg());
		}
		if (!ew_CheckDateDef($this->tanggal_real_panen->FormValue)) {
			ew_AddMessage($gsFormError, $this->tanggal_real_panen->FldErrMsg());
		}
		if (!ew_CheckInteger($this->jumlah_real_panen->FormValue)) {
			ew_AddMessage($gsFormError, $this->jumlah_real_panen->FldErrMsg());
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Add record
	function AddRow($rsold = NULL) {
		global $Language, $Security;
		$conn = &$this->Connection();

		// Load db values from rsold
		$this->LoadDbValues($rsold);
		if ($rsold) {
		}
		$rsnew = array();

		// tanggal
		$this->tanggal->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->tanggal->CurrentValue, 0), NULL, FALSE);

		// id_lahan
		$this->id_lahan->SetDbValueDef($rsnew, $this->id_lahan->CurrentValue, NULL, FALSE);

		// jumlah
		$this->jumlah->SetDbValueDef($rsnew, $this->jumlah->CurrentValue, NULL, FALSE);

		// tanggal_real_panen
		$this->tanggal_real_panen->SetDbValueDef($rsnew, ew_UnFormatDateTime($this->tanggal_real_panen->CurrentValue, 0), NULL, FALSE);

		// jumlah_real_panen
		$this->jumlah_real_panen->SetDbValueDef($rsnew, $this->jumlah_real_panen->CurrentValue, NULL, FALSE);

		// Call Row Inserting event
		$rs = ($rsold == NULL) ? NULL : $rsold->fields;
		$bInsertRow = $this->Row_Inserting($rs, $rsnew);
		if ($bInsertRow) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			$AddRow = $this->Insert($rsnew);
			$conn->raiseErrorFn = '';
			if ($AddRow) {
			}
		} else {
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("InsertCancelled"));
			}
			$AddRow = FALSE;
		}
		if ($AddRow) {

			// Call Row Inserted event
			$rs = ($rsold == NULL) ? NULL : $rsold->fields;
			$this->Row_Inserted($rs, $rsnew);
		}
		return $AddRow;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("estimasi_bibitlist.php"), "", $this->TableVar, TRUE);
		$PageId = ($this->CurrentAction == "C") ? "Copy" : "Add";
		$Breadcrumb->Add("add", $PageId, $url);
	}

	// Setup lookup filters of a field
	function SetupLookupFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		case "x_id_lahan":
			$sSqlWrk = "";
			$sSqlWrk = "SELECT `id` AS `LinkFld`, `varietas` AS `DispFld`, `jumlah_tanam` AS `Disp2Fld`, `jenis_lahan` AS `Disp3Fld`, `tgl_tanam` AS `Disp4Fld` FROM `tanam_bibit`";
			$sWhereWrk = "";
			$fld->LookupFilters = array("df4" => "0");
			$fld->LookupFilters += array("s" => $sSqlWrk, "d" => "", "f0" => '`id` IN ({filter_value})', "t0" => "3", "fn0" => "");
			$sSqlWrk = "";
			$this->Lookup_Selecting($this->id_lahan, $sWhereWrk); // Call Lookup Selecting
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			if ($sSqlWrk <> "")
				$fld->LookupFilters["s"] .= $sSqlWrk;
			break;
		}
	}

	// Setup AutoSuggest filters of a field
	function SetupAutoSuggestFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($estimasi_bibit_add)) $estimasi_bibit_add = new cestimasi_bibit_add();

// Page init
$estimasi_bibit_add->Page_Init();

// Page main
$estimasi_bibit_add->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$estimasi_bibit_add->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "add";
var CurrentForm = festimasi_bibitadd = new ew_Form("festimasi_bibitadd", "add");

// Validate form
festimasi_bibitadd.Validate = function() {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	var $ = jQuery, fobj = this.GetForm(), $fobj = $(fobj);
	if ($fobj.find("#a_confirm").val() == "F")
		return true;
	var elm, felm, uelm, addcnt = 0;
	var $k = $fobj.find("#" + this.FormKeyCountName); // Get key_count
	var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
	var gridinsert = $fobj.find("#a_list").val() == "gridinsert";
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = ($k[0]) ? String(i) : "";
		$fobj.data("rowindex", infix);
			elm = this.GetElements("x" + infix + "_tanggal");
			if (elm && !ew_CheckDateDef(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($estimasi_bibit->tanggal->FldErrMsg()) ?>");
			elm = this.GetElements("x" + infix + "_jumlah");
			if (elm && !ew_CheckInteger(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($estimasi_bibit->jumlah->FldErrMsg()) ?>");
			elm = this.GetElements("x" + infix + "_tanggal_real_panen");
			if (elm && !ew_CheckDateDef(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($estimasi_bibit->tanggal_real_panen->FldErrMsg()) ?>");
			elm = this.GetElements("x" + infix + "_jumlah_real_panen");
			if (elm && !ew_CheckInteger(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($estimasi_bibit->jumlah_real_panen->FldErrMsg()) ?>");

			// Fire Form_CustomValidate event
			if (!this.Form_CustomValidate(fobj))
				return false;
	}

	// Process detail forms
	var dfs = $fobj.find("input[name='detailpage']").get();
	for (var i = 0; i < dfs.length; i++) {
		var df = dfs[i], val = df.value;
		if (val && ewForms[val])
			if (!ewForms[val].Validate())
				return false;
	}
	return true;
}

// Form_CustomValidate event
festimasi_bibitadd.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid.
 	return true;
 }

// Use JavaScript validation or not
festimasi_bibitadd.ValidateRequired = <?php echo json_encode(EW_CLIENT_VALIDATE) ?>;

// Dynamic selection lists
festimasi_bibitadd.Lists["x_id_lahan"] = {"LinkField":"x_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_varietas","x_jumlah_tanam","x_jenis_lahan","x_tgl_tanam"],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"tanam_bibit"};
festimasi_bibitadd.Lists["x_id_lahan"].Data = "<?php echo $estimasi_bibit_add->id_lahan->LookupFilterQuery(FALSE, "add") ?>";

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php $estimasi_bibit_add->ShowPageHeader(); ?>
<?php
$estimasi_bibit_add->ShowMessage();
?>
<form name="festimasi_bibitadd" id="festimasi_bibitadd" class="<?php echo $estimasi_bibit_add->FormClassName ?>" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($estimasi_bibit_add->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $estimasi_bibit_add->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="estimasi_bibit">
<input type="hidden" name="a_add" id="a_add" value="A">
<input type="hidden" name="modal" value="<?php echo intval($estimasi_bibit_add->IsModal) ?>">
<div class="ewAddDiv"><!-- page* -->
<?php if ($estimasi_bibit->tanggal->Visible) { // tanggal ?>
	<div id="r_tanggal" class="form-group">
		<label id="elh_estimasi_bibit_tanggal" for="x_tanggal" class="<?php echo $estimasi_bibit_add->LeftColumnClass ?>"><?php echo $estimasi_bibit->tanggal->FldCaption() ?></label>
		<div class="<?php echo $estimasi_bibit_add->RightColumnClass ?>"><div<?php echo $estimasi_bibit->tanggal->CellAttributes() ?>>
<span id="el_estimasi_bibit_tanggal">
<input type="text" data-table="estimasi_bibit" data-field="x_tanggal" name="x_tanggal" id="x_tanggal" placeholder="<?php echo ew_HtmlEncode($estimasi_bibit->tanggal->getPlaceHolder()) ?>" value="<?php echo $estimasi_bibit->tanggal->EditValue ?>"<?php echo $estimasi_bibit->tanggal->EditAttributes() ?>>
<?php if (!$estimasi_bibit->tanggal->ReadOnly && !$estimasi_bibit->tanggal->Disabled && !isset($estimasi_bibit->tanggal->EditAttrs["readonly"]) && !isset($estimasi_bibit->tanggal->EditAttrs["disabled"])) { ?>
<script type="text/javascript">
ew_CreateDateTimePicker("festimasi_bibitadd", "x_tanggal", {"ignoreReadonly":true,"useCurrent":false,"format":0});
</script>
<?php } ?>
</span>
<?php echo $estimasi_bibit->tanggal->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($estimasi_bibit->id_lahan->Visible) { // id_lahan ?>
	<div id="r_id_lahan" class="form-group">
		<label id="elh_estimasi_bibit_id_lahan" for="x_id_lahan" class="<?php echo $estimasi_bibit_add->LeftColumnClass ?>"><?php echo $estimasi_bibit->id_lahan->FldCaption() ?></label>
		<div class="<?php echo $estimasi_bibit_add->RightColumnClass ?>"><div<?php echo $estimasi_bibit->id_lahan->CellAttributes() ?>>
<span id="el_estimasi_bibit_id_lahan">
<select data-table="estimasi_bibit" data-field="x_id_lahan" data-value-separator="<?php echo $estimasi_bibit->id_lahan->DisplayValueSeparatorAttribute() ?>" id="x_id_lahan" name="x_id_lahan"<?php echo $estimasi_bibit->id_lahan->EditAttributes() ?>>
<?php echo $estimasi_bibit->id_lahan->SelectOptionListHtml("x_id_lahan") ?>
</select>
</span>
<?php echo $estimasi_bibit->id_lahan->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($estimasi_bibit->jumlah->Visible) { // jumlah ?>
	<div id="r_jumlah" class="form-group">
		<label id="elh_estimasi_bibit_jumlah" for="x_jumlah" class="<?php echo $estimasi_bibit_add->LeftColumnClass ?>"><?php echo $estimasi_bibit->jumlah->FldCaption() ?></label>
		<div class="<?php echo $estimasi_bibit_add->RightColumnClass ?>"><div<?php echo $estimasi_bibit->jumlah->CellAttributes() ?>>
<span id="el_estimasi_bibit_jumlah">
<input type="text" data-table="estimasi_bibit" data-field="x_jumlah" name="x_jumlah" id="x_jumlah" size="30" placeholder="<?php echo ew_HtmlEncode($estimasi_bibit->jumlah->getPlaceHolder()) ?>" value="<?php echo $estimasi_bibit->jumlah->EditValue ?>"<?php echo $estimasi_bibit->jumlah->EditAttributes() ?>>
</span>
<?php echo $estimasi_bibit->jumlah->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($estimasi_bibit->tanggal_real_panen->Visible) { // tanggal_real_panen ?>
	<div id="r_tanggal_real_panen" class="form-group">
		<label id="elh_estimasi_bibit_tanggal_real_panen" for="x_tanggal_real_panen" class="<?php echo $estimasi_bibit_add->LeftColumnClass ?>"><?php echo $estimasi_bibit->tanggal_real_panen->FldCaption() ?></label>
		<div class="<?php echo $estimasi_bibit_add->RightColumnClass ?>"><div<?php echo $estimasi_bibit->tanggal_real_panen->CellAttributes() ?>>
<span id="el_estimasi_bibit_tanggal_real_panen">
<input type="text" data-table="estimasi_bibit" data-field="x_tanggal_real_panen" name="x_tanggal_real_panen" id="x_tanggal_real_panen" placeholder="<?php echo ew_HtmlEncode($estimasi_bibit->tanggal_real_panen->getPlaceHolder()) ?>" value="<?php echo $estimasi_bibit->tanggal_real_panen->EditValue ?>"<?php echo $estimasi_bibit->tanggal_real_panen->EditAttributes() ?>>
<?php if (!$estimasi_bibit->tanggal_real_panen->ReadOnly && !$estimasi_bibit->tanggal_real_panen->Disabled && !isset($estimasi_bibit->tanggal_real_panen->EditAttrs["readonly"]) && !isset($estimasi_bibit->tanggal_real_panen->EditAttrs["disabled"])) { ?>
<script type="text/javascript">
ew_CreateDateTimePicker("festimasi_bibitadd", "x_tanggal_real_panen", {"ignoreReadonly":true,"useCurrent":false,"format":0});
</script>
<?php } ?>
</span>
<?php echo $estimasi_bibit->tanggal_real_panen->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($estimasi_bibit->jumlah_real_panen->Visible) { // jumlah_real_panen ?>
	<div id="r_jumlah_real_panen" class="form-group">
		<label id="elh_estimasi_bibit_jumlah_real_panen" for="x_jumlah_real_panen" class="<?php echo $estimasi_bibit_add->LeftColumnClass ?>"><?php echo $estimasi_bibit->jumlah_real_panen->FldCaption() ?></label>
		<div class="<?php echo $estimasi_bibit_add->RightColumnClass ?>"><div<?php echo $estimasi_bibit->jumlah_real_panen->CellAttributes() ?>>
<span id="el_estimasi_bibit_jumlah_real_panen">
<input type="text" data-table="estimasi_bibit" data-field="x_jumlah_real_panen" name="x_jumlah_real_panen" id="x_jumlah_real_panen" size="30" placeholder="<?php echo ew_HtmlEncode($estimasi_bibit->jumlah_real_panen->getPlaceHolder()) ?>" value="<?php echo $estimasi_bibit->jumlah_real_panen->EditValue ?>"<?php echo $estimasi_bibit->jumlah_real_panen->EditAttributes() ?>>
</span>
<?php echo $estimasi_bibit->jumlah_real_panen->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$estimasi_bibit_add->IsModal) { ?>
<div class="form-group"><!-- buttons .form-group -->
	<div class="<?php echo $estimasi_bibit_add->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("AddBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $estimasi_bibit_add->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<script type="text/javascript">
festimasi_bibitadd.Init();
</script>
<?php
$estimasi_bibit_add->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$estimasi_bibit_add->Page_Terminate();
?>
